# Class AbstractAPIController

API application abstract controller.

This file includes `import`'s for desktop/api components/directives used by the HTML page and the controller to provide the configuration.

#### Hierarchy

- unknown
  - AbstractAPIController

- Defined in src/controllers/AbstractAPIController.js:34

#####
Index

### Constructors

constructor

## Constructors

### constructor

- new AbstractAPIController($scope, $injector): AbstractAPIController

- #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  #### Returns AbstractAPIController

  #### Ng Inject

  Overrides AbstractAppController.constructor

  - Defined in src/controllers/AbstractAPIController.js:40